readWindowsShellLink {R.utils} | R Documentation

## Reads a Microsoft Windows Shortcut (.lnk file)

### Description

Reads a Microsoft Windows Shortcut (.lnk file).

### Usage

    ## Default S3 method:
    readWindowsShellLink(con, clean=TRUE, verbose=FALSE, ...)

### Arguments

`con` | A `connection` or a `character` string (filename).
`clean` | If `TRUE`, low-level file specific fields are dropped, e.g. offsets on file locations.
`verbose` | If `TRUE`, extra information is written while reading.
`...` | Not used.

### Details

This function is implemented based on the official file format specification [1]. It is intended to replace `readWindowsShortcut`(), which was written based on reverse engineering (before [1] was made available).

### Value

Returns a `list` structure.

### Author(s)

Henrik Bengtsson

### References

[1] [MS-SHLLINK]: Shell Link (.LNK) Binary File Format, Microsoft Inc., September 25, 2009.

### See Also

`readWindowsShortcut`() `filePath`

### Examples

    pathname <- system.file("data-ex/HISTORY.LNK", package="R.utils")
    lnk <- readWindowsShellLink(pathname)
    str(lnk)
    str(lnk$pathname)

    lnk0 <- readWindowsShortcut(pathname)
    str(lnk0$pathname)

[Package R.utils version 2.6.0 Index]